Subject: agricultural biotechnology

From: [email-masked] (RAHME HALLA)
Date: Wed, 22 Mar 1995 19:57:34 GMT

Hello out there... This is my first attempt at communicating over the 
internet.  I am a 2nd year environmental engineering student at the 
University of Ottawa and I need your help.  

I am writing a research paper on the scientific, economic and social impacts 
of patenting lifeforms in agricultural biotechnology (plant and animal 
genetic engineering).  I would love to have the insight of some experts in 
this field to make my paper more interesting... So if anyone out there has 
an opinion please e-mail me at [email-masked].  Till we meet 
again.....